var search_data = {"index":{"searchIndex":["gash","blob","errors","git","nogitrepo","helpers","tree","/()","[]()","[]=()","blob?()","branch_exists?()","cat_file()","changed!()","changed?()","commit()","commit_tree()","find_repo()","gash()","git()","git_status()","git_tree()","git_tree_sha1()","load!()","method_missing()","new()","new()","normalize()","run_git()","store()","to_hash()","to_tree!()","tree?()","update!()","update_head()","readme"],"longSearchIndex":["gash","gash::blob","gash::errors","gash::errors::git","gash::errors::nogitrepo","gash::helpers","gash::tree","gash::tree#/()","gash::tree#[]()","gash::tree#[]=()","gash::helpers#blob?()","gash#branch_exists?()","gash#cat_file()","gash::helpers#changed!()","gash::helpers#changed?()","gash#commit()","gash#commit_tree()","gash#find_repo()","gash::helpers#gash()","gash#git()","gash#git_status()","gash#git_tree()","gash#git_tree_sha1()","gash::blob#load!()","gash#method_missing()","gash::new()","gash::helpers::new()","gash::helpers#normalize()","gash#run_git()","gash::tree#store()","gash::tree#to_hash()","gash#to_tree!()","gash::helpers#tree?()","gash#update!()","gash#update_head()",""],"info":[["Gash","","Gash.html","","<p>What is Gash?\n<p>Gash lets you access a Git-repo as a Hash.\n<p>Gash doesn’t touch your working directory …\n"],["Gash::Blob","","Gash/Blob.html","","<p>A Blob represent a string:\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">blob</span> = <span class=\"ruby-constant\">Gash</span><span class=\"ruby-operator\">::</span><span class=\"ruby-constant\">Blob</span>.<span class=\"ruby-identifier\">new</span>(<span class=\"ruby-value\">:content</span> <span class=\"ruby-operator\">=&gt;</span> <span class=\"ruby-string\">&quot;Some content&quot;</span>)\n<span class=\"ruby-identifier\">blob</span> <span class=\"ruby-comment\"># =&gt; &quot;Some content&quot;</span>\n</pre>\n"],["Gash::Errors","","Gash/Errors.html","",""],["Gash::Errors::Git","","Gash/Errors/Git.html","","<p>This error is raised when the Git-command fails.\n"],["Gash::Errors::NoGitRepo","","Gash/Errors/NoGitRepo.html","",""],["Gash::Helpers","","Gash/Helpers.html","","<p>Some common methods used by both Tree and Blob.\n"],["Gash::Tree","","Gash/Tree.html","","<p>A Tree is a Hash which can store other instances of Tree and Blob.\n<p>Special methods\n<p>Internally, a tree is …\n"],["/","Gash::Tree","Gash/Tree.html#method-i-2F","(key, lazy = nil)",""],["[]","Gash::Tree","Gash/Tree.html#method-i-5B-5D","(key, lazy = nil)","<p>Retrieves the <em>value</em> stored as <code>key</code>:\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">tree</span>[<span class=\"ruby-string\">&quot;FILE&quot;</span>] <span class=\"ruby-operator\">==</span> <span class=\"ruby-constant\">File</span>.<span class=\"ruby-identifier\">read</span>(<span class=\"ruby-string\">&quot;FILE&quot;</span>)\n<span class=\"ruby-identifier\">tree</span>[<span class=\"ruby-string\">&quot;DIR/FILE&quot;</span>] <span class=\"ruby-operator\">==</span> <span class=\"ruby-identifier\">tree</span>[<span class=\"ruby-string\">&quot;DIR&quot;</span>][<span class=\"ruby-string\">&quot;FILE&quot;</span>] <span class=\"ruby-operator\">...</span>\n</pre>\n"],["[]=","Gash::Tree","Gash/Tree.html#method-i-5B-5D-3D","(key, value, not_changed = nil)","<p>Stores the given <em>value</em> at <code>key</code>:\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">tree</span>[<span class=\"ruby-string\">&quot;FILE&quot;</span>] = <span class=\"ruby-string\">&quot;Content&quot;</span>\n</pre>\n<p>It uses Helpers#normalize in order convert it to …\n"],["blob?","Gash::Helpers","Gash/Helpers.html#method-i-blob-3F","()","<p>Checks if this is a Blob.\n"],["branch_exists?","Gash","Gash.html#method-i-branch_exists-3F","()","<p>Checks if the current branch exists\n"],["cat_file","Gash","Gash.html#method-i-cat_file","(blob)",""],["changed!","Gash::Helpers","Gash/Helpers.html#method-i-changed-21","()","<p>Mark this, and all parents as changed.\n"],["changed?","Gash::Helpers","Gash/Helpers.html#method-i-changed-3F","()","<p>Checks if this object has been changed (since last commit).\n"],["commit","Gash","Gash.html#method-i-commit","(msg)","<p>Commit the current changes and returns the commit-hash.\n<p>Returns <code>nil</code> if nothing has changed.\n"],["commit_tree","Gash","Gash.html#method-i-commit_tree","(tree, msg)",""],["find_repo","Gash","Gash.html#method-i-find_repo","(dir)","<p>private\n"],["gash","Gash::Helpers","Gash/Helpers.html#method-i-gash","()","<p>Returns the Gash-object (top-parent).\n"],["git","Gash","Gash.html#method-i-git","(cmd, *rest, &block)","<p>passes the command over to git\n<p>Parameters\n<p>cmd&lt;String&gt; &mdash; the git command to execute\n"],["git_status","Gash","Gash.html#method-i-git_status","(cmd, *rest, &block)","<p>passes the command over to git and returns its status ($?)\n<p>Parameters\n<p>cmd&lt;String&gt; &mdash; the git command …\n"],["git_tree","Gash","Gash.html#method-i-git_tree","(&blk)",""],["git_tree_sha1","Gash","Gash.html#method-i-git_tree_sha1","(from = @branch)",""],["load!","Gash::Blob","Gash/Blob.html#method-i-load-21","()","<p>Loads the file from Git, unless it’s already been loaded.\n"],["method_missing","Gash","Gash.html#method-i-method_missing","(meth, *args, &blk)",""],["new","Gash","Gash.html#method-c-new","(repo = \".\", branch = \"master\")","<p>Opens the <code>repo</code> with the specified <code>branch</code>.\n"],["new","Gash::Helpers","Gash/Helpers.html#method-c-new","(opts = {})","<p>Sets the accessors using a Hash:\n\n<pre>tree = Gash::Tree.new(:sha1 =&gt; &quot;some thing&quot;, :mode =&gt; &quot;some thing&quot;,\n ...</pre>\n"],["normalize","Gash::Helpers","Gash/Helpers.html#method-i-normalize","(value)","<p>Converts the <code>value</code> to a Tree or a Blob, using some rules:\n<p>If <code>value</code> is already a Tree or a Blob:\n<p>If <code>value</code> …\n"],["run_git","Gash","Gash.html#method-i-run_git","(cmd, *args, &block)","<p>passes the command over to git (you should not call this directly)\n<p>Parameters\n<p>cmd&lt;String&gt; &mdash; the git …\n"],["store","Gash::Tree","Gash/Tree.html#method-i-store","(key, value, not_changed = nil)",""],["to_hash","Gash::Tree","Gash/Tree.html#method-i-to_hash","()","<p>Converts the tree to a Hash.\n"],["to_tree!","Gash","Gash.html#method-i-to_tree-21","(from = self)",""],["tree?","Gash::Helpers","Gash/Helpers.html#method-i-tree-3F","()","<p>Checks if this is a Tree.\n"],["update!","Gash","Gash.html#method-i-update-21","()","<p>Fetch the latest data from Git; you can use this as a <code>clear</code>-method.\n"],["update_head","Gash","Gash.html#method-i-update_head","(new_head)",""],["README","","README_rdoc.html","","<p>Gash, Git + Hash\n<p>Description\n<p>Gash is a simple Ruby API for interfacing with a Git repo. While not as feature …\n"]]}}